/*
 * nisync_pdata.h: defines shared pdata structure passed to mfd_cells
 *
 * Copyright (c) 2012-2015 National Instruments
 *
 * Authors: Josh Cartwright <josh.cartwright@ni.com>
 *          Mike Hoogendyk <mike.hoogendyk@ni.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 */
#ifndef _NISYNC_PDATA_H
#define _NISYNC_PDATA_H

#include <linux/types.h>

#define MAC_ADDR_LENGTH 6
#define MAX_PROD_NAME_LENGTH 12

struct nisync_platform_data_tns {
	u32 serial_num;
	u32 instance_id;
	u32 product_id;
	const char *product_name;
	struct nisync_hardware_clock *hardware_clock;
	u8 __iomem *mappedio;
};

struct nisync_platform_data_enet {
	unsigned char mac_addr[MAC_ADDR_LENGTH];
	u32 instance_id;
	u32 product_id;
	const char *product_name;
	struct nisync_hardware_clock *hardware_clock;
	u8 __iomem *mappedio;
};

#endif
